* {
    box-sizing: border-box;
}

html {
    background-color: #171717;
    font-family: Helvetica;
    padding: none;
    margin: none;
    font-size: 10vh;
}

body {
    margin: 0;
    padding: 0;
    width: 100vw;
    height: 100vh;
    cursor: auto;
}

button {
  display: flex;
  position: absolute;
  z-index: 4;
  width: 200px;
  height: 40px;
  background: transparent;
  color: grey;
  border: 1px solid transparent;
  margin-top: 350px;
  margin-left: 660px;
  text-align: center;
  padding: 8pt;
  padding-left: 16pt;
  font-size: 10pt;
  cursor: pointer;
}

#drawingCanvas {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2;
}

.page-wrapper {
    margin: 0;
    padding: 0;
}

section {
    margin: 0;
    padding: 0;
    width: 100vw;
    height: 100vh;
    display: flex;
    position: relative;
    background-image: linear-gradient(180deg,purple,blue);
}

section.intro div{
    display: flex;
    position: absolute;
    background: #171717;
    margin: 0;
    position: relative;
}

p {
  line-height: 40.5pt;
  letter-spacing: 2.5px;
  word-spacing: 5.5px;
}

#text {
    margin: 0;
    padding: 0;
}

.cursor {
    padding: 0;
    margin: 0;
    display: flex;
    position: relative;
    z-index: 1;
    width: 200px;
    height: 600px;
    background-color: black;
    animation: totem 10s infinite;
    opacity: 95%;
    filter: saturate(10%) hue-rotate(40deg) contrast(140%);
}

#monolithAnimate {
  width: 600px;
  height: 200px;
  display: flex;
  position: absolute;
  z-index: 1;
  padding: 0;
  margin-top: 275px;
  margin-left: 900px;
  background: black;
  animation: monolithAnimate 20s alternate infinite;
  opacity: 85%
}

@keyframes totem {
  0% {
    transform: rotate(180deg);
  }

  100% {
    transform: rotate(0deg);
  }
}

@keyframes monolithAnimate {
  0% {
    margin-top: 275px;
    margin-left: 400px;
    width: 600px;
    height: 200px;
  }
  100% {
    margin-top: 0;
    margin-left: 0;
    width: 100%;
    height: 100%;
  }
}

p {
    width: 100%;
    height: 100%;
    padding: 0;
    margin: 0;
}

div.red {
    background: linear-gradient(blue, green);
    cursor: pointer;
}

div.red p:hover {
    color: red;
    font-style: oblique;
}

div.purple {
    background: linear-gradient(green, red);
    cursor: pointer;
}

div.purple p:hover {
    color: purple;
    font-family: "futura-pt", sans-serif;
    transform: rotateX();
}

div.green {
    background: linear-gradient(red, purple);
    cursor: pointer;
}

div.green p:hover {
    color: green;
    font-kerning: calc(10vw * 0.1);
    font-family: "bd-geminis", sans-serif;
}

div.orange {
    background: linear-gradient(purple, yellow);
    cursor: pointer;
}

div.orange p:hover {
    color: orange;
    font-weight: bolder;
    font-family: "futura-pt", sans-serif;
}

div.yellow {
    background: linear-gradient(yellow, blue);
    cursor: pointer;
}

div.yellow p:hover {
    color: yellow;
}

div.red p span.purple:hover {
  color: blue;
  background: purple;
  font-family: 'bd-geminis';
  font-style: normal;
}

div.red p span.orange:hover {
  color: black;
  background: orange;
  font-family: 'futura-pt';
  font-style: normal;
}

div.red p span.yellow:hover {
  color: red;
  background: yellow;
  font-style: normal;
}

div.red p span.white:hover {
  color: white;
  background: white;
}

div.red p span.black:hover {
  color: yellow;
  background: black;
  font-family: 'bd-geminis';
}

div.red p span.blue:hover {
  color: green;
  background: blue;
  font-style: normal;
  font-weight: bolder;
}

div.red p span.font:hover {
  font-family: 'bd-geminis';
  font-style: normal;
}

div.red p span.font-2:hover {
  font-family: 'futura-pt';
  font-weight: bolder;
}

div.purple p span.font:hover {
  font-family: 'bd-geminis';
  font-style: normal;
}

div.purple p span.font-2:hover {
  font-family: 'futura-pt';
  font-weight: bolder;
}

div.purple p span.background-turquoise:hover {
  background: turquoise;
}

div.purple p span.background-black:hover {
  background: black;
}

div.purple p span.background-yellow:hover {
  background: yellow;
}

div.green p span.font:hover {
  font-family: 'Helvetica';
  font-style: oblique, bolder;
}

div.green p span.font-2:hover {
  font-family: 'futura-pt';
  font-weight: bolder;
}

div.orange p span.font:hover {
  font-family: 'Helvetica';
  font-style: oblique;
}

div.orange p span.font-2:hover {
  font-family: 'bd-geminis';
  font-weight: bolder;
}

div.yellow p span.font:hover {
  font-family: 'futura-pt';
  font-style: oblique;
}

div.yellow p span.font-2:hover {
  font-family: 'bd-geminis';
  font-weight: lighter;
  font-kerning: 0.5;
}
